# $Revision: 1.40.2.3 $, $Date: 2007/02/21 12:43:23 $
#
%include	/usr/lib/rpm/macros.perl
#
Summary:	API documentation generation tool for GTK+ and GNOME
Summary(es):	El generador de documentacin del GTK
Summary(pl):	Narzdzie do generowania dokumentacji API do GTK+ i GNOME
Summary(pt_BR):	O gerador de documentao do GTK
Name:		gtk-doc
Version:	1.8
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/gnome/sources/gtk-doc/1.7/%{name}-%{version}.tar.bz2
# Source0-md5:	e61595df21431db28c83fe4c7d4a4fa8
URL:		http://www.gtk.org/rdp/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml >= 1.0-10
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	gnome-common
BuildRequires:	libxslt-progs >= 1.1.15
BuildRequires:	openjade
BuildRequires:	perl-base >= 5.6.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	scrollkeeper
Requires(post,postun):	scrollkeeper
Requires:	%{name}-automake = %{version}-%{release}
Requires:	docbook-dtd412-xml >= 1.0-10
Requires:	docbook-style-dsssl >= 1.77
Requires:	docbook-style-xsl >= 1.55.0-3
Requires:	docbook-utils >= 0.6.10
Requires:	gnome-doc-tools >= 1.0-4
Requires:	libxslt-progs >= 1.1.15
Requires:	openjade
Conflicts:	pkgconfig < 1:0.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# architecture-independant pkgconfig dir
%define		_pkgconfigdir	%{_datadir}/pkgconfig

%description
gtk-doc is a tool for generating API reference documentation. It is
used for generating the documentation for GTK+, GLib and GNOME.

%description -l pl
gtk-doc jest narzdziem do generowania dokumentacji API. Jest uywany
do generowania dokumentacji GLib, GTK+ i GNOME.

%package common
Summary:	Common directories for documetation generated using gtk-doc
Summary(pl):	Katalogi na dokumentacj wygenerowan za pomoc gtk-doc
Group:		Development

%description common
Common directories for API documentation for various packages,
generated using gtk-doc.

%description common -l pl
Katalogi na dokumentacj API do rnych pakietw, wygenerowan za
pomoc gtk-doc.

%package automake
Summary:	Automake macros for gtk-doc
Summary(pl):	Makra dla automake do gtk-doc
Group:		Development/Tools
Requires:	automake
Conflicts:	gtk-doc < 0:1.4-3

%description automake
Automake macros for gtk-doc.

%description automake -l pl
Makra dla automake do gtk-doc.

%prep
%setup -q
mv -f doc/README doc/README.docs

%build
%{__gnome_doc_common}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/gtk-doc/html \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS TODO README doc/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gtk-doc
%{_pkgconfigdir}/%{name}.pc
%{_datadir}/sgml/%{name}
%{_examplesdir}/%{name}-%{version}
%{_omf_dest_dir}/%{name}

%files common
%defattr(644,root,root,755)
%dir %{_docdir}/gtk-doc
%dir %{_docdir}/gtk-doc/html

%files automake
%defattr(644,root,root,755)
%{_aclocaldir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-doc.spec,v $
Revision 1.40.2.3  2007/02/21 12:43:23  hawk
- updated to 1.8, no international files

Revision 1.40.2.2  2006/10/08 19:21:10  aredridel
- 1.7

Revision 1.40.2.1  2006/05/12 18:27:03  baggins
- merged from HEAD

Revision 1.46  2006/04/22 07:22:24  qboosh
- pkgconfig epoch

Revision 1.45  2006/04/21 22:11:00  freetz
- BR: pkgconfig >= 0.19

Revision 1.44  2006/04/10 17:02:26  qboosh
- noarch pkgconfigdir needs pkgconfig >= 1:0.19

Revision 1.43  2006/04/10 16:38:17  freetz
- 1.6, BA: noarch, include perl macros, use architecture-independant
  pkgconfdir

Revision 1.42  2006/03/07 16:20:05  freetz
- 1.5, updated file list, update scrollkeeper database (post, postun)

Revision 1.41  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.40  2006/01/15 13:17:45  qboosh
- License is GPL (v2+), release 4

Revision 1.39  2005/09/23 13:10:18  qboosh
- Development Group for subpackages, keep the same order

Revision 1.38  2005/09/23 12:08:15  djurban
- the earlier commit also bumped rel. 3

Revision 1.37  2005/09/23 12:07:52  djurban
- omve automake macros into subpackage so we dont need the whole package and its requires
  to build gtk apps without documentation

Revision 1.36  2005/09/07 12:01:02  paladine
- BR/R: libxslt-progs >= 1.1.15
- rel. 2

Revision 1.35  2005/07/07 11:29:07  freetz
- 1.4, colon-patch already included

Revision 1.34  2005/03/27 18:04:27  freetz
- fix problems with libgphoto2 build (added colon patch), rel.2

Revision 1.33  2005/02/06 20:04:55  grzegol
- updated to 1.3
- added more docs and examples

Revision 1.32  2004/10/26 12:48:36  qboosh
- cleanup

Revision 1.31  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.30  2004/08/08 00:32:47  ankry
- it is not noarch because of %%{_pkgconfigdir} usage, rel. 2

Revision 1.29  2004/02/16 17:05:00  grzegol
- updated to 1.2
- added BR: perl-base
- removed --enable-public-id - outdated

Revision 1.28  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:48:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/06 20:25:27  mkochano
- Release 1.1.
- BR: docbook-dtd412-xml >= 1.0-10, docbook-style-xsl.

Revision 1.25  2003/04/18 09:37:47  grzegol
- updated to 1.1

Revision 1.24  2003/01/20 14:13:45  aflinta
- updated to version 1.0

Revision 1.23  2002/11/17 17:28:43  kloczek
- more macros.

Revision 1.22  2002/11/17 16:34:10  aflinta
- updated to version 0.10

Revision 1.21  2002/10/22 18:18:40  malekith
- release 9

Revision 1.20  2002/10/17 11:10:07  mmazur
- moved from DEVEL (I hope)

Revision 1.18.2.6  2002/10/16 12:58:40  wiget
- more Requires
- release 8

Revision 1.18.2.5  2002/10/14 14:13:38  malekith
- r: docbook-dtd412-xml >= 1.0-10

Revision 1.18.2.4  2002/10/14 13:52:02  malekith
- r: docbook-style-xsl in recent version
- release 7

Revision 1.18.2.3  2002/10/06 14:58:14  qboosh
- Conflicts broken docbook-style-xsl; release 6

Revision 1.18.2.2  2002/10/02 08:56:57  trojan
- added BR: libxslt-progs
- release 5

Revision 1.18.2.1  2002/09/30 16:09:15  wiget
- added xml.patch
- release 4

Revision 1.18  2002/07/03 08:26:42  ankry
- adapterized

Revision 1.17  2002/07/02 12:42:11  ankry
- added -common subpacage containing common dirs for gtk-doc generated
  documentation
- release 3, STBR

Revision 1.16  2002/06/05 07:08:09  wiget
require fixed docbook-utils package, release 2

Revision 1.15  2002/05/30 12:39:50  kloczek
- use new %doc.

Revision 1.14  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/26 12:39:40  michuz
- updated to 0.9

Revision 1.12  2002/04/25 16:31:02  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/01 20:31:48  kloczek
- updated to 0.7,
- removed obsoletes pubid patch,
- regenerate also automake files.

Revision 1.7  2001/11/29 21:33:08  filon
- fixed broken %%doc
- release 3

Revision 1.6  2001/09/28 09:28:16  qboosh
- added Source0 URL (note: there is 0.7 on ftp)

Revision 1.5  2001/08/29 03:50:59  agaran
ac25 ready

Revision 1.4  2001/06/17 18:04:51  kloczek
- release 2.

Revision 1.3  2001/06/15 15:57:59  baggins
- fixed gzipping docs

Revision 1.2  2001/04/13 22:36:21  kloczek
- added gzipping %doc.

Revision 1.1  2001/04/06 16:15:49  klakier
- adapted from rawhide

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Replace docbook, sgml-common, and stylesheets requirements with
  docbook-utils requirement.
- Use public identifier in custom stylesheets.

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.4b1 (CVS snapshot)

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- added Requires

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Initial RPM, version 0.2
